AIプロンプト有効化

指定したAIプロンプトを有効化します。

必要な権限

MEMBER以上のロールが必要です。

HTTPリクエスト

POST /api/sonar/ai/prompts/:guid/enable
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST \
     https://HOSTNAME/api/sonar/ai/prompts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/enable
リクエストパラメータ
パスパラメータ
キー説明備考
guid文字列プロンプトのGUID36文字

正常応答

{}

エラー応答

guidが欠落している場合

HTTPステータスコード 400 応答

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
guidがGUID形式でない場合

HTTPステータスコード 400 応答

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
プロンプトが存在しない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-state",
  "error_msg": "prompt not found: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
権限がない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}